GET api/Beneficiaries/{beneficiaryId}/CashTMTNewcomer?claimTypeId={claimTypeId}&billingDate={billingDate}

Returns the details for a Beneficiary for the New Cash Claim screen for TMT Newcomer

Request Information

URI Parameters

NameDescriptionTypeAdditional information
beneficiaryId

integer

Required

claimTypeId

integer

Required

billingDate

date

None.

Body Parameters

None.

Response Information

Resource Description

ServiceResultTypedOfBeneficiaryCashDetail
NameDescriptionTypeAdditional information
Code

integer

None.

Errors

Collection of string

None.

Data

BeneficiaryCashDetail

None.

Response Formats

application/json, text/json

Sample:
{
  "Code": 1,
  "Errors": [
    "sample string 1",
    "sample string 2"
  ],
  "Data": {
    "BeneficiaryId": 1,
    "BeneficiaryType": "sample string 2",
    "BeneficiaryCitizenId": "sample string 3",
    "BeneficiaryFullName": "sample string 4",
    "EmployeeId": 5,
    "EmployeeName": "sample string 6",
    "EmployeeNo": "sample string 7",
    "RemainAmount": 8.0,
    "IsActive": true,
    "FamilyId": 1,
    "ActivePlans": [
      {
        "EmployeeBenefitPlanId": 1,
        "BenefitPlanId": 2,
        "BenefitPlanName": "sample string 3",
        "BenefitPlanTypeId": 4,
        "BenefitPlanTypeName": "sample string 5",
        "BenefitPlanStartDate": "2026-04-01T16:45:30.1081177+07:00",
        "BeneftPlanEndDate": "2026-04-01T16:45:30.1081177+07:00",
        "HasPlanDocument": true,
        "PlanNote": "sample string 9",
        "RoomRate": 10.0,
        "BenefitAmount": 11.0,
        "PlanDocumentURL": "sample string 12",
        "InsuranceProviderId": 13,
        "FamilyId": 1,
        "IsOver65": true,
        "IsRetire": true,
        "PlanHospitalDocumentURL": "sample string 16"
      },
      {
        "EmployeeBenefitPlanId": 1,
        "BenefitPlanId": 2,
        "BenefitPlanName": "sample string 3",
        "BenefitPlanTypeId": 4,
        "BenefitPlanTypeName": "sample string 5",
        "BenefitPlanStartDate": "2026-04-01T16:45:30.1081177+07:00",
        "BeneftPlanEndDate": "2026-04-01T16:45:30.1081177+07:00",
        "HasPlanDocument": true,
        "PlanNote": "sample string 9",
        "RoomRate": 10.0,
        "BenefitAmount": 11.0,
        "PlanDocumentURL": "sample string 12",
        "InsuranceProviderId": 13,
        "FamilyId": 1,
        "IsOver65": true,
        "IsRetire": true,
        "PlanHospitalDocumentURL": "sample string 16"
      }
    ],
    "EmployeeCategoryId": 10,
    "MaxRequestAmount": 11.0
  }
}

text/html

Sample:
{"Code":1,"Errors":["sample string 1","sample string 2"],"Data":{"BeneficiaryId":1,"BeneficiaryType":"sample string 2","BeneficiaryCitizenId":"sample string 3","BeneficiaryFullName":"sample string 4","EmployeeId":5,"EmployeeName":"sample string 6","EmployeeNo":"sample string 7","RemainAmount":8.0,"IsActive":true,"FamilyId":1,"ActivePlans":[{"EmployeeBenefitPlanId":1,"BenefitPlanId":2,"BenefitPlanName":"sample string 3","BenefitPlanTypeId":4,"BenefitPlanTypeName":"sample string 5","BenefitPlanStartDate":"2026-04-01T16:45:30.1081177+07:00","BeneftPlanEndDate":"2026-04-01T16:45:30.1081177+07:00","HasPlanDocument":true,"PlanNote":"sample string 9","RoomRate":10.0,"BenefitAmount":11.0,"PlanDocumentURL":"sample string 12","InsuranceProviderId":13,"FamilyId":1,"IsOver65":true,"IsRetire":true,"PlanHospitalDocumentURL":"sample string 16"},{"EmployeeBenefitPlanId":1,"BenefitPlanId":2,"BenefitPlanName":"sample string 3","BenefitPlanTypeId":4,"BenefitPlanTypeName":"sample string 5","BenefitPlanStartDate":"2026-04-01T16:45:30.1081177+07:00","BeneftPlanEndDate":"2026-04-01T16:45:30.1081177+07:00","HasPlanDocument":true,"PlanNote":"sample string 9","RoomRate":10.0,"BenefitAmount":11.0,"PlanDocumentURL":"sample string 12","InsuranceProviderId":13,"FamilyId":1,"IsOver65":true,"IsRetire":true,"PlanHospitalDocumentURL":"sample string 16"}],"EmployeeCategoryId":10,"MaxRequestAmount":11.0}}

application/xml, text/xml

Sample:
<ServiceResultTypedOfBeneficiaryCashDetailYj8O1tFc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LSW.Common.Models">
  <Code>1</Code>
  <Data xmlns:d2p1="http://schemas.datacontract.org/2004/07/TTMWM_MECLAIM_API.ViewModels">
    <d2p1:ActivePlans>
      <d2p1:EmployeeBenefitPlan>
        <d2p1:BenefitAmount>11</d2p1:BenefitAmount>
        <d2p1:BenefitPlanId>2</d2p1:BenefitPlanId>
        <d2p1:BenefitPlanName>sample string 3</d2p1:BenefitPlanName>
        <d2p1:BenefitPlanStartDate>2026-04-01T16:45:30.1081177+07:00</d2p1:BenefitPlanStartDate>
        <d2p1:BenefitPlanTypeId>4</d2p1:BenefitPlanTypeId>
        <d2p1:BenefitPlanTypeName>sample string 5</d2p1:BenefitPlanTypeName>
        <d2p1:BeneftPlanEndDate>2026-04-01T16:45:30.1081177+07:00</d2p1:BeneftPlanEndDate>
        <d2p1:EmployeeBenefitPlanId>1</d2p1:EmployeeBenefitPlanId>
        <d2p1:FamilyId>1</d2p1:FamilyId>
        <d2p1:HasPlanDocument>true</d2p1:HasPlanDocument>
        <d2p1:InsuranceProviderId>13</d2p1:InsuranceProviderId>
        <d2p1:IsOver65>true</d2p1:IsOver65>
        <d2p1:IsRetire>true</d2p1:IsRetire>
        <d2p1:PlanDocumentURL>sample string 12</d2p1:PlanDocumentURL>
        <d2p1:PlanHospitalDocumentURL>sample string 16</d2p1:PlanHospitalDocumentURL>
        <d2p1:PlanNote>sample string 9</d2p1:PlanNote>
        <d2p1:RoomRate>10</d2p1:RoomRate>
      </d2p1:EmployeeBenefitPlan>
      <d2p1:EmployeeBenefitPlan>
        <d2p1:BenefitAmount>11</d2p1:BenefitAmount>
        <d2p1:BenefitPlanId>2</d2p1:BenefitPlanId>
        <d2p1:BenefitPlanName>sample string 3</d2p1:BenefitPlanName>
        <d2p1:BenefitPlanStartDate>2026-04-01T16:45:30.1081177+07:00</d2p1:BenefitPlanStartDate>
        <d2p1:BenefitPlanTypeId>4</d2p1:BenefitPlanTypeId>
        <d2p1:BenefitPlanTypeName>sample string 5</d2p1:BenefitPlanTypeName>
        <d2p1:BeneftPlanEndDate>2026-04-01T16:45:30.1081177+07:00</d2p1:BeneftPlanEndDate>
        <d2p1:EmployeeBenefitPlanId>1</d2p1:EmployeeBenefitPlanId>
        <d2p1:FamilyId>1</d2p1:FamilyId>
        <d2p1:HasPlanDocument>true</d2p1:HasPlanDocument>
        <d2p1:InsuranceProviderId>13</d2p1:InsuranceProviderId>
        <d2p1:IsOver65>true</d2p1:IsOver65>
        <d2p1:IsRetire>true</d2p1:IsRetire>
        <d2p1:PlanDocumentURL>sample string 12</d2p1:PlanDocumentURL>
        <d2p1:PlanHospitalDocumentURL>sample string 16</d2p1:PlanHospitalDocumentURL>
        <d2p1:PlanNote>sample string 9</d2p1:PlanNote>
        <d2p1:RoomRate>10</d2p1:RoomRate>
      </d2p1:EmployeeBenefitPlan>
    </d2p1:ActivePlans>
    <d2p1:BeneficiaryCitizenId>sample string 3</d2p1:BeneficiaryCitizenId>
    <d2p1:BeneficiaryFullName>sample string 4</d2p1:BeneficiaryFullName>
    <d2p1:BeneficiaryId>1</d2p1:BeneficiaryId>
    <d2p1:BeneficiaryType>sample string 2</d2p1:BeneficiaryType>
    <d2p1:EmployeeCategoryId>10</d2p1:EmployeeCategoryId>
    <d2p1:EmployeeId>5</d2p1:EmployeeId>
    <d2p1:EmployeeName>sample string 6</d2p1:EmployeeName>
    <d2p1:EmployeeNo>sample string 7</d2p1:EmployeeNo>
    <d2p1:FamilyId>1</d2p1:FamilyId>
    <d2p1:IsActive>true</d2p1:IsActive>
    <d2p1:MaxRequestAmount>11</d2p1:MaxRequestAmount>
    <d2p1:RemainAmount>8</d2p1:RemainAmount>
  </Data>
  <Errors xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </Errors>
</ServiceResultTypedOfBeneficiaryCashDetailYj8O1tFc>